<p align="center">
  <a href="https://www.dyne.org">
    <img alt="restroom" src="https://www.oldbookillustrations.com/wp-content/high-res/1845/three-heads-768.jpg" width="150" />
  </a>
</p>

<h1 align="center">
  Restroom</br>
  <sub>Easy REST API builder executing Zencode</sub>
</h1>

<p align="center">
  <a href="https://dyne.org">
    <img src="https://img.shields.io/badge/%3C%2F%3E%20with%20%E2%9D%A4%20by-Dyne.org-blue.svg" alt="Dyne.org">
  </a>
</p>

<h4 align="center">
  <a href="#-quick-start">🚀 Quick start</a>
  <span> • </span>
  <a href="#-acknowledgements">😍 Acknowledgements</a>
  <span> • </span>
  <a href="#-links">🌐 Links</a>
  <span> • </span>
  <a href="#-contributing">👤 Contributing</a>
  <span> • </span>
  <a href="#-license">💼 License</a>
</h4>

<br><br>

Restroom is crafted with care by developers of the [DECODE project](https://decodeproject.eu) about data-ownership and [technological sovereignty](https://www.youtube.com/watch?v=RvBRbwBm_nQ). Our effort is that of improving people's awareness of how their data is processed by algorithms, as well facilitate the work of developers to create along [privacy by design principles](https://decodeproject.eu/publications/privacy-design-strategies-decode-architecture) using algorithms that can be deployed in any situation without any change.

<details id="toc">
 <summary><strong>🚩 Table of Contents</strong> (click to expand)</summary>

- [Quick start](#-quick-start)
- [Acknowledgements](#-acknowledgements)
- [Links](#-links)
- [Contributing](#-contributing)
- [License](#-license)
</details>

---


## 🚀 Quick start

Start by reading the documentation

### [https://dyne.github.io/restroom-mw/](https://dyne.github.io/restroom-mw)

**[back to 🔝](#toc)**

---

## 😍 Acknowledgements

Copyright © 2020 by [Dyne.org](https://www.dyne.org) foundation, Amsterdam

Designed, written and maintained by Puria Nafisi Azizi.

Special thanks to Jaromil for his special contributions and for the idea.

Image in README courtesy of [Old book illustrations](https://www.oldbookillustrations.com/illustrations/three-heads/)

**[back to 🔝](#toc)**

---

## 🌐 Links

[https://zenroom.org/](https://zenroom.org/)

[https://dev.zenroom.org/](https://dev.zenroom.org/)

[https://dyne.org/](https://dyne.org/)

[https://decodeproject.eu/](https://decodeproject.eu/)

**[back to 🔝](#toc)**

---

## 👤 Contributing

Please first take a look at the [Dyne.org - Contributor License Agreement](CONTRIBUTING.md) then

1.  🔀 [FORK IT](../../fork)
2.  Create your feature branch `git checkout -b feature/branch`
3.  Commit your changes `git commit -am 'Add some fooBar'`
4.  Push to the branch `git push origin feature/branch`
5.  Create a new Pull Request
6.  🙏 Thank you

**[back to 🔝](#toc)**

---

## 💼 License

    Restroom-mw - Easy REST API builder executing Zencode
    Copyright (c) 2020 Dyne.org foundation, Amsterdam

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

**[back to 🔝](#toc)**
