# Why RESTroom

## In a nutshell

RESTroom is a [portmanteau](https://en.wikipedia.org/wiki/Portmanteau) between [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) + [Zenroom](https://zenroom.org).

RESTroom exposes dynamic REST endpoints, from [Zencode](https://dev.zenroom.org/#/pages/zencode) smart contracts, stored in files. Using RESTroom you can for example:

- Create **web services** by just copying a zencode file into a directory
- **Augment Zencode** by adding custom actions and operations
- Create your **own domain specific language powered by Zenroom** to execute cryptographic operations and more
- Expose hardened **cryptographic** operations, written in  a **natural English-like programming language**) that is understandable to non-programmers and to every stakeholders 

## Who needs RESTroom?

RESTroom goal is to improve the developer experience and greatly reduce development time and cost. Its main user groups are people looking to:

- Do rapid protoyping of web services, in a completely new way
- Zenroom users looking to extend Zencode functionalities, like for example reading/storing data to a database/blockchain
- Create web services from Zenroom smart contracts

## RESTroom ecosystem

- _APIroom (soon on screen)_

- [Zenroom](https://dev.zenroom.org/)

- [DECODE](https://decodeproject.eu)

- [Express](https://expressjs.com/)

## Features

RESTroom comes fully baked, batteries included. Here is a list of things it can do that no other prototyping platform or smart contract virtual machine can:

- Vanilla js, based on common techs (no new languages to learn)
- Smart contracts in plain English (understandable by non developers)
- Instant reload (Fast developer experience)
- Easy setup environment (Run with one command)

## Our misson at Dyne.org

RESTroom is crafted with care by developers of the [DECODE project](https://decodeproject.eu) about data-ownership and [technological sovereignty](https://www.youtube.com/watch?v=RvBRbwBm_nQ). Our effort is that of improving people's awareness of how their data is processed by algorithms, as well facilitate the work of developers to create along [privacy by design principles](https://decodeproject.eu/publications/privacy-design-strategies-decode-architecture) using algorithms that can be deployed in any situation without any change.

Our mission is to build a thriving, easy accessible ecosystem that enhances privacy and
makes prototyping zencode an enjoyable experience, and generates developer happiness.

We want to help developers build a new generation of modern applications faster, better,
and without the stress and anxiety associated with managing crypto/privacy complexity.
