# @restroom-mw/db

Is a basic middleware to make basic operations on a database.

Uses [sequelize ORM](https://sequelize.org/) underneath, so accepts the same dialects and supports Postgres, MySQL, MariaDB, SQLite and Microsoft SQL Server.

Interpretes the [actions](#actions) to connect to a database, select some value and put into the `DATA` of zenroom and save the result into a the `result` table.

## Usage

```js
import express from "express";
import zencode from "@restroom-mw/core";
import db from "@restroom-mw/db";

const app = express();

app.use(db);
app.use("/api/*", zencode);
```

## API

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

#### Table of Contents

-   [ACTIONS](#actions)

### ACTIONS

[packages/db/src/index.js:13-17](https://github.com/dyne/restroom-mw/blob/2070f26ed2bbc93cb0bdb9cf19bfdbdfc0b9ae29/packages/db/src/index.js#L13-L17 "Source code on GitHub")

**CONNECT** `I have a database connection uri at {}`

**SELECT** `I select {} from {} where {}`

**SAVE** `save the result into the database`
