# @restroom-mw/redis

Is a basic middleware to make basic operations on [redis](https://redis.io).

Interpretes the [actions](#actions) to connect to a redis server and save the result with a `SET` or a `HMSET`.

## Usage

```js
import express from "express";
import zencode from "@restroom-mw/core";
import db from "@restroom-mw/redis";

const app = express();

app.use(redis);
app.use("/api/*", zencode);
```

## API

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

#### Table of Contents

-   [actions](#actions)

### actions

[packages/redis/src/index.js:14-18](https://github.com/dyne/restroom-mw/blob/2070f26ed2bbc93cb0bdb9cf19bfdbdfc0b9ae29/packages/redis/src/index.js#L14-L18 "Source code on GitHub")

**CONNECT** `I have a valid redis connection on {}`

**WRITE** `write all data as a hash into redis`

**WRITE_WITH_KEY** `write all data into redis under the key {}`
