# @restroom-mw/utils

This package contains useful constants and tools that should be available to other restroom packages.
By now is composed by some constants that are the general configuration of the service.

This constants are loaded with [dotenv](https://github.com/motdotla/dotenv). This means
that if you want to change them you can either do it by defining ENVIRONMENT VARIABLE or
by follow the [Twelve-Factor App](http://12factor.net/config) methodology (to separate 
configuration in the environment separate from code) to define them in a `.env` file.

## API

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

#### Table of Contents

-   [PORT](#port)
-   [HOST](#host)
-   [ZENCODE_DIR](#zencode_dir)

### PORT

[packages/utils/src/index.js:12-12](https://github.com/dyne/restroom-mw/blob/2070f26ed2bbc93cb0bdb9cf19bfdbdfc0b9ae29/packages/utils/src/index.js#L12-L12 "Source code on GitHub")

The port on which the restroom middlewares can refer to listen for

Type: [string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)

### HOST

[packages/utils/src/index.js:20-20](https://github.com/dyne/restroom-mw/blob/2070f26ed2bbc93cb0bdb9cf19bfdbdfc0b9ae29/packages/utils/src/index.js#L20-L20 "Source code on GitHub")

The hostname on which the restroom middleware can refer to listen for

Type: [string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)

### ZENCODE_DIR

[packages/utils/src/index.js:27-27](https://github.com/dyne/restroom-mw/blob/2070f26ed2bbc93cb0bdb9cf19bfdbdfc0b9ae29/packages/utils/src/index.js#L27-L27 "Source code on GitHub")

The absolut path of the directory containing the smart contracts

Type: [string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)
